Subject: Re: bug#32463: 27.0.50; (logior -1) => 4611686018427387903

From: Paul Eggert <[email-masked]>
Date: Wed, 22 Aug 2018 17:28:49 -0700

Eli Zaretskii wrote:
> I'd rather we left the name alone.  It's a veteran name, burnt into
> our muscle memory by many years of coding in Emacs.

But the name 'make_number' means something completely different now; it has a 
different signature, it is a lot more expensive than it used to be, and it 
cannot be used the way the old name could be used. So now is a good time to 
change the name anyway, regardless of whether the name choice was a good one 
originally.

We already changed the name XINT and friends, even though their semantics didn't 
change. It would be odd if we didn't fix make_number too, while we're in the 
neighborhood, since the case for changing it is even stronger than the case for 
XINT etc.